<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>PetscOptionsClearValue</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="PetscOptionsClearValue"><H1>PetscOptionsClearValue</H1></A>
Clears an option name-value pair in the options  database, overriding whatever is already present. 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
#include "petsc.h"   
PetscErrorCode  PetscOptionsClearValue(const char iname[])
</PRE>
Not Collective, but setting values on certain processors could cause problems
for parallel objects looking for options.
<P>
<H3><FONT COLOR="#CC3333">Input Parameter</FONT></H3>
<DT><B>name </B> -name of option, this SHOULD have the - prepended
<br>
<P>

<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../Sys/PetscOptionsInsert.html#PetscOptionsInsert">PetscOptionsInsert</A>()
<BR><P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>intermediate
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/sys/objects/options.c.html#PetscOptionsClearValue">src/sys/objects/options.c</A>
<BR><A HREF="./index.html">Index of all Sys routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
</BODY></HTML>
